<?
define('PROTECTOR', 1);

$headmod = 'battle';//фикс. места

if($_GET[mod]=='ataka'){
$header=TRUE;
}else{
$textl='Битва';
}

include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');
$timer=time()+300;
////////////////////////
$req = mysql_query("SELECT * FROM `tmp` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"Вы ненаходитесь в бою!";include($path.'files/down.php');exit;}
$m = mysql_fetch_array($req);
$req = mysql_query("SELECT * FROM `mob` WHERE `id` = '$m[mob]' LIMIT 1");
$mob = mysql_fetch_array($req);
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
if($avto==1){
$pit = mysql_fetch_array($req);
}
$req = mysql_query("SELECT * FROM `asasins_active` WHERE `usr` = '$log' LIMIT 1");
$avto=mysql_num_rows($req);
if($avto=='1'){
$a = mysql_fetch_array($req);

$req = mysql_query("SELECT * FROM `asasins` WHERE `id`='$a[asasin]' LIMIT 1");
$ass = mysql_fetch_array($req);
}
function timer($log){

$time=time();
mysql_query("UPDATE `tmp` SET `ltime` = '$time' WHERE `usr` = '$log'");
}
///////////////////////
function lose($log,$pas,$m,$pit,$ass,$a,$mob,$udata){

$time=time();
$losetime=$m[ltime]+600;

if($udata[hp]<=0 or $time>$losetime){

$nloses=$udata[loses]+1;
if($mob[hp]<=0){
mysql_query("UPDATE `mob` SET `hp` = '0',`status`='off',`oponent`='$time' WHERE `id` = '$m[mob]'");
}else{
mysql_query("UPDATE `mob` SET `hp` = '$mob[hp]',`status`='on',`oponent`='not' WHERE `id` = '$m[mob]'");
}


mysql_query("UPDATE `mesto` SET `place` = 'gorod',`city` = '0',`x` = '0',`y` = '0' WHERE `usr` = '$log'");     

mysql_query("UPDATE users SET loses = '$nloses',hp='0' WHERE usr = '$log'");//пишем данные в плэера
mysql_query("UPDATE regenerator SET last = '$time' WHERE usr = '$log'");//сбиваем регенерацию
mysql_query("DELETE FROM `tmp` WHERE usr='$log'");//чистим логи
//питы
if($pit[status]==on){
if($pit[hp]<=0){
mysql_query("UPDATE pit SET status = 'die' WHERE `usr` = '$log'");
}
}
echo"Вы проиграли бой!<br/>";
echo"<a href=\"pers.php?\">Продолжить</a>";
include($path.'files/down.php');
exit;
}
}
function win($log,$pas,$m,$mob,$ass,$pit,$a,$udata){

$time=time();

if($mob[hp]<=0){

$nwins=$udata[wins]+1;
$nexp=$udata[exp]+$mob[exp]+$mob[lvl];
//питы
if($pit[status]==on){
if($pit[hp]<=0){
mysql_query("UPDATE pit SET status = 'die' WHERE `usr` = '$log'");
}else{
$pexp1=round($mob[exp]/2);
$pexp=$pit[exp]+$pexp1;
mysql_query("UPDATE pit SET exp='$pexp' WHERE `usr` = '$log'");
}
}

if($ass[status]=='active'){
if($ass[hp]<=0){
mysql_query("UPDATE asasins SET status = 'on',`hp`='$ass[hpall]' WHERE `id`='$a[asasin]' LIMIT 1");
mysql_query("DELETE FROM `asasins_active` WHERE usr='$log'");
}else{
if($a['kol']=='1'){
mysql_query("UPDATE asasins SET status = 'on',`hp`='$ass[hpall]' WHERE `id`='$a[asasin]' LIMIT 1");
mysql_query("DELETE FROM `asasins_active` WHERE usr='$log'");
}else{
mysql_query("UPDATE asasins SET `hp`='$ass[hpall]' WHERE `id`='$a[asasin]' LIMIT 1");
$a['kol']--;
mysql_query("UPDATE asasins_active SET kol = '$a[kol]' WHERE `usr`='$log' LIMIT 1");
}
}
}

$shans=rand(1,100);
if($shans<=$mob['sd']){

$req = mysql_query("SELECT * FROM `drops` WHERE `tip` = '$mob[drop]' LIMIT 1");
$avto=mysql_num_rows($req);
if($avto==1){
$drp = mysql_fetch_array($req);

$drop=explode(",",$drp[drops]);
$cdr=count($drop)-1;
$iddr=rand(0,$cdr);

$req = mysql_query("SELECT * FROM `mdrop` WHERE `id` = '$drop[$iddr]' LIMIT 1");
$drop = mysql_fetch_array($req);
///////////////////
$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `lat_name` = '$drop[lat_name]'");
$res=mysql_num_rows($req);
$rs = mysql_fetch_array($req);
if($res==0){
mysql_query("INSERT INTO
        `res` SET
        `usr` = '$log',
        `name` = '$drop[name]',
        `lat_name` = '$drop[lat_name]',
        `tip` = '$drop[tip]',
        `what` = '$drop[what]',
        `give` = '$drop[give]',
        `kol` = '1',
        `cena` = '$drop[cena]'");
}else{
$nk=$rs[kol]+1;
mysql_query("UPDATE `res` SET `kol` = '$nk' WHERE `usr` = '$log' and `lat_name` = '$drop[lat_name]'");
}
}
}
$sm=rand(1,$mob[sm]);
if($sm==1){
$nmoney=$udata[money]+$mob[money];
}


$shans=rand(1,100);
if($shans<=$mob['ss']){
$req = mysql_query("SELECT * FROM `shemaz` WHERE `tip` = '$mob[drop]' LIMIT 1");
$avto=mysql_num_rows($req);
if($avto==1){
$drp = mysql_fetch_array($req);

$shems=explode(",",$drp[shems]);
$cshe=count($shems)-1;
$idsh=rand(0,$cshe);

$req = mysql_query("SELECT * FROM `mshems` WHERE `id` = '$shems[$idsh]' LIMIT 1");
$shems = mysql_fetch_array($req);
///////////////////
$req = mysql_query("SELECT `kol`,`unknow` FROM `shems` WHERE `usr` = '$log' and `lat_name` = '$shems[lat_name]'");
$shem=mysql_num_rows($req);
if($shem==0){

mysql_query("INSERT INTO
        `shems` SET
        `usr` = '$log',
        `tip` = '$shems[tip]',
        `name` = '$shems[name]',
        `name_item` = '$shems[name_item]',
        `lat_name` = '$shems[lat_name]',
        `nead_res` = '$shems[nead_res]',
        `unknow` = '$shems[unknow]',
        `cena` = '$shems[cena]',
        `scena` = '$shems[scena]',
        `umin` = '$shems[umin]',
        `umax` = '$shems[umax]',
        `pgolova` = '$shems[pgolova]',
        `pbody` = '$shems[pbody]',
        `pnogi` = '$shems[pnogi]',
        `hp` = '$shems[hp]',
        `mp` = '$shems[mp]',
        `krit` = '$shems[krit]',
        `ukrit` = '$shems[ukrit]',
        `antikrit` = '$shems[antikrit]',
        `sila` = '$shems[sila]',
        `lovk` = '$shems[lovk]',
        `um` = '$shems[um]',
        `prot` = '$shems[prot]',
        `klas` = '$shems[klas]',
        `nsila` = '$shems[nsila]',
        `num` = '$shems[num]',
        `nlovk` = '$shems[nlovk]',
        `nlvl` = '$shems[nlvl]',
        `kol` = '1'");

}else{
$rs = mysql_fetch_array($req);

if($rs['unknow']=='1'){$shems['unknow']=='1';}

$nk=$rs[kol]+1;
mysql_query("UPDATE `shems` SET `kol` = '$nk' WHERE `usr` = '$log' and `lat_name` = '$shems[lat_name]'");
}
}
}
mysql_query("UPDATE `mob` SET `hp` = '0',`status`='off',`oponent`='$time' WHERE `id` = '$m[mob]'");
if(!empty($nmoney)){
mysql_query("UPDATE users SET wins = '$nwins',exp='$nexp',money='$nmoney' WHERE usr = '$log'");//пишем данные в плэера
}else{
mysql_query("UPDATE users SET wins = '$nwins',exp='$nexp' WHERE usr = '$log'");
}
mysql_query("DELETE FROM `tmp` WHERE usr='$log'");//чистим логи

mysql_query("UPDATE regenerator SET last = '$time' WHERE usr = '$log'");//сбиваем регенерацию

$req = mysql_query("SELECT * FROM `userquests` WHERE `quest` = '$mob[quest]' and `usr`='$log' and `status`='start'");
$avto=mysql_num_rows($req);
if($avto==1){
//проверка на килл
$req = mysql_query("SELECT * FROM `user_kill` WHERE `quest` = '$mob[quest]' and `city`='$udata[city]' and `usr`='$log'");
$avto=mysql_num_rows($req);
if($avto==1){
$u_k = mysql_fetch_array($req);
$u_k[killing]=$u_k[killing]-1;
if($u_k[killing]<=0){
mysql_query("DELETE FROM `user_kill` WHERE `quest` = '$mob[quest]' and `usr`='$log'");//чистим логи
}else{
mysql_query("UPDATE `user_kill` SET `killing` = '$u_k[killing]'  WHERE `quest` = '$mob[quest]' and `usr`='$log'");
}
}
//проверяем на асса
$req = mysql_query("SELECT * FROM `user_assasin` WHERE `quest` = '$mob[quest]' and `city`='$udata[city]' and `usr`='$log' and `mob`='$mob[id]'");
$avto=mysql_num_rows($req);
if($avto==1){
mysql_query("DELETE FROM `user_assasin` WHERE `quest` = '$mob[quest]' and `usr`='$log' and `mob`='$mob[id]'");
}
}

echo"Вы победили в бою с $mob[name]!<br/>";
if(!empty($drop[name])){
echo"Выпало: $drop[name]<br/>";
}
if(!empty($shems[name])){

if($shems['unknow']=='0'){$shems['name']='Скрыт';}

echo"Схема: $shems[name]<br/>";
}
echo"+$mob[exp] опыта<br/>";
if(!empty($nmoney)){
echo"+$mob[money] монет<br/>";
}
if(!empty($pexp)){
echo"+$pexp1 опыта получил $pit[name]<br/>";
}
echo"<a href=\"okrestnosti.php?\">Продолжить</a>";
include($path.'files/down.php');
exit;
}
}
function pit($log,$pas,$pit,$udata){
if($pit[status]==on){
if($pit[hp]<=0){
mysql_query("UPDATE pit SET status = 'die' WHERE `usr` = '$log'");
}
}
}

function ass($log,$pas,$ass,$a){
if($ass[status]=='active'){
if($ass[hp]<=0){
mysql_query("UPDATE asasins SET status = 'on',`hp`='$ass[hpall]' WHERE `id`='$a[asasin]' LIMIT 1");
mysql_query("DELETE FROM `asasins_active` WHERE usr='$log'");
}
}
}

function mein($log,$pas,$ass,$a,$m,$pit,$mob,$udata){
timer($log);
lose($log,$pas,$m,$pit,$ass,$a,$mob,$udata);
win($log,$pas,$m,$mob,$ass,$pit,$a,$udata);
pit($log,$pas,$pit,$udata);
ass($log,$pas,$ass,$a);
if($pit[status]==on){
echo"<b>$pit[name]:</b> ($pit[hp]/$pit[hpall])<br/>";
}
if($ass[status]=='active'){
echo"<b>$ass[name]:</b> ($ass[hp]/$ass[hpall])<br/>";
}
echo"<b>$mob[name]:</b> ($mob[hp]/$mob[hpall])<br/>";
echo "<form action='battle.php?mod=ataka' method='post'>";
echo "<b>Атака:</b><br/>
<select name=\"udar\">
<option value=\"1\">Голова</option>
<option value=\"2\">Туловище</option>
<option value=\"3\">Ноги</option>";
$req = mysql_query("SELECT * FROM `mag` WHERE `usr` = '$log'");
if(mysql_num_rows($req)>=1)
{
While($mag = mysql_fetch_array($req))
{
$mag[lvl]=$mag[lvl]-1;
$magmp=explode("|",$mag[mp]);
$mag[mp]=$magmp[$mag[lvl]];//мп

$maghp=explode("|",$mag[hp]);
$mag[hp]=$maghp[$mag[lvl]];//хп

$maghp=explode("|",$mag[plushp]);
$mag[plushp]=$maghp[$mag[lvl]];//+хп

$maghp=explode("|",$mag[uron]);
$mag[uron]=$maghp[$mag[lvl]];//+урон

echo"<option value=\"mag,$mag[id]\">$mag[name]($mag[uron],$mag[mp],$mag[hp],$mag[plushp])</option>";
}
}
echo"</select><br/>";
echo "<b>Защита:</b><br/>
<select name=\"block\">
<option value=\"1\">Голова</option>
<option value=\"2\">Туловище</option>
<option value=\"3\">Ноги</option>
</select><br/>";
echo "<input type='submit' value='Ок' /></form>";
log_msg($tlog='battle');
}
//////////
function ataka($log,$pas,$ass,$a,$m,$pit,$mob,$timer,$udata){
////AI
$mudar=rand(1,3);
$mblock=rand(1,3);
////AI PITA
$pudar=rand(1,3);
$pblock=rand(1,3);
/////////////
////AI ASSA
$audar=rand(1,3);
$ablock=rand(1,3);
/////////////
$ud = explode(",",$_POST[udar]);
if($ud[0]=='mag'){
$req = mysql_query("SELECT * FROM `mag` WHERE `id` = '$ud[1]' and `usr` = '$log' LIMIT 1");
if (mysql_num_rows($req)==0){
mysql_query("INSERT INTO log SET usr='$log',text='Нет такого умения',kto='system',place='battle',timer='$timer'");
header ("Location: battle.php?");exit; 
}
$mag = mysql_fetch_array($req);

$mag[lvl]=$mag[lvl]-1;
$magmp=explode("|",$mag[mp]);
$mag[mp]=$magmp[$mag[lvl]];//мп

$maghp=explode("|",$mag[hp]);
$mag[hp]=$maghp[$mag[lvl]];//хп

$maghp=explode("|",$mag[plushp]);
$mag[plushp]=$maghp[$mag[lvl]];//+хп

$maghp=explode("|",$mag[uron]);
$mag[uron]=$maghp[$mag[lvl]];//+урон

if ($mag[hp]>=$udata[hp]){
mysql_query("INSERT INTO log SET usr='$log',text='Нехватает здоровья',kto='system',place='battle',timer='$timer'");
header ("Location: battle.php?");exit; 
}

if ($mag[mp]>$udata[mp]){
mysql_query("INSERT INTO log SET usr='$log',text='Нехватает маны',kto='system',place='battle',timer='$timer'");
header ("Location: battle.php?");exit; 
}

$uron=$mag[uron];

$uron=$uron-$mob[pmag];
if($uron<=0){$uron=round(0,1);}
$newmob=$mob[hp]-$uron;

$newmp=$udata[mp]-$mag[mp];
$newhp=$udata[hp]-$mag[hp]+$mag[plushp];
mysql_query("UPDATE `users` SET `mp` = '$newmp',`hp` = '$newhp' WHERE `usr` = '$log'");

mysql_query("INSERT INTO log SET usr='$log',text='Ты используешь  $mag[name]! -$uron',kto='user',place='battle',timer='$timer'");

}else{
if($_POST[udar]==1){$bonus=1.25;$kuda='в голову';}
if($_POST[udar]==2){$bonus=1;$kuda='по туловищу';}
if($_POST[udar]==3){$bonus=0.70;$kuda='по ногам';}

#********************************#
if($udata[lovk]<$mob[lovk]){
$s_l=rand(1,100);
$shans_lovk=round(($mob[lovk]-$udata[lovk])*5);
}
#********************************#
if($_POST[udar]!=$mblock and ($udata[lovk]>=$mob[lovk] or $s_l>$shans_lovk)){

if($_POST[udar]==1){$mprotect='pgolova';}
if($_POST[udar]==2){$mprotect='pbody';}
if($_POST[udar]==3){$mprotect='pnogi';}

$uron=rand($udata[umin],$udata[umax])+$udata[sila];

$krit=rand(1,100);
if($krit<=$udata[krit]){

$makrit=rand(1,100);
if($makrit<=$mob[antikrit]){
$newmob=$mob[hp];

$msg=rand(0,2);
if($msg=="0"){$sms="Ты наносишь крит-удар $kuda, но $mob[name] блокирует!";}
if($msg=="1"){$sms="Ты бьёшь крит-удар $kuda, но $mob[name] пригнулся!";}
if($msg=="2"){$sms="Ты наносишь крит-удар $kuda, но $mob[name] отпрыгивает!";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='user',place='battle',timer='$timer'");
}else{
$mno=round(($uron/100)*$udata[ukrit]);
$uron=$uron+$mno;
$uron=$uron-$mob[$mprotect];
$uron=round($uron*$bonus);
if($uron<=0){$uron=round(0,1);}
$newmob=$mob[hp]-$uron;


$msg=rand(0,2);
if($msg=="0"){$sms="Ты наносишь крит-удар $kuda $mob[name]! -$uron";}
if($msg=="1"){$sms="Ты бьёшь крит-удар $kuda $mob[name]! -$uron";}
if($msg=="2"){$sms="Ты наносишь крит-удар $kuda $mob[name]! -$uron";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='user',place='battle',timer='$timer'");
}
}else{
$uron=$uron-$mob[$mprotect];
$uron=round($uron*$bonus);
if($uron<=0){$uron=round(0,1);}
$newmob=$mob[hp]-$uron;

$msg=rand(0,2);
if($msg=="0"){$sms="Ты бьёшь $mob[name] $kuda! -$uron";}
if($msg=="1"){$sms="Ты атакуешь $mob[name] $kuda! -$uron";}
if($msg=="2"){$sms="Ты бьёшь $mob[name] $kuda! -$uron";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='user',place='battle',timer='$timer'");
}
}else{
$newmob=$mob[hp];

$msg=rand(0,2);
if($msg=="0"){$sms="$mob[name] пригнулся от твоего удара!";}
if($msg=="1"){$sms="$mob[name] блокировал твой удар!";}
if($msg=="2"){$sms="$mob[name] увернулся от твоего удара!";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='user',place='battle',timer='$timer'");
}
}
//////////////////
///////////////////
if($mudar==1){$bonus=1.25;$kuda='в голову';}
if($mudar==2){$bonus=1;$kuda='по туловищу';}
if($mudar==3){$bonus=0.70;$kuda='по ногам';}


#********************************#
if($mob[lovk]<$udata[lovk]){
$ms_l=rand(1,100);
$mshans_lovk=round(($udata[lovk]-$mob[lovk])*5);
}
#********************************#

if($_POST[block]!=$mudar and ($mob[lovk]>=$udata[lovk] or $ms_l>$mshans_lovk)){
////////////////////////////////////////////////////////
//////////////////////////////////////////////////////
switch($mudar){
case '1':
$protect=round(($udata[prot]+$udata[pgolova])/3);
break;
case '2':
$protect=round(($udata[prot]+$udata[pbody])/3);
break;
case '3':
$protect=round(($udata[prot]+$udata[pnogi])/3);
break;
}
//////////////////////////////////////////////////////
/////////////////////////////////////////////////////
//////////////////////////////////////////////////////
$uron=rand($mob[umin],$mob[umax]);

$krit=rand(1,100);
if($krit<=$mob[krit]){

$makrit=rand(1,100);
if($makrit<=$udata[antikrit]){

$msg=rand(0,2);
if($msg=="0"){$sms="$mob[name] наносит крит-удар $kuda, но ты блокируешь!";}
if($msg=="1"){$sms="$mob[name] бьёть крит-удар $kuda, но ты пригнулся!";}
if($msg=="2"){$sms="$mob[name] наносит крит-удар $kuda, но ты отпрыгиваешь!";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='enemy',place='battle',timer='$timer'");

}else{
$mno=round(($uron/100)*$mob[ukrit]);
$uron=$uron+$mno;
$uron=$uron-$protect;
$uron=round($uron*$bonus);
if($uron<=0){$uron=round(0,1);}
$newhp=$udata[hp]-$uron;

mysql_query("UPDATE `users` SET `hp` = '$newhp' WHERE `usr` = '$log'");

$msg=rand(0,2);
if($msg=="0"){$sms="$mob[name] наносит крит-удар $kuda! -$uron";}
if($msg=="1"){$sms="$mob[name] бьёт крит-удар $kuda! -$uron";}
if($msg=="2"){$sms="$mob[name] наносит крит-удар $kuda! -$uron";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='enemy',place='battle',timer='$timer'");
}
}else{
$uron=$uron-$protect;
$uron=round($uron*$bonus);
if($uron<=0){$uron=round(0,1);}
$newhp=$udata[hp]-$uron;

mysql_query("UPDATE `users` SET `hp` = '$newhp' WHERE `usr` = '$log'");

$msg=rand(0,2);
if($msg=="0"){$sms="$mob[name] сильно бьёт $kuda! -$uron";}
if($msg=="1"){$sms="$mob[name] атакует $kuda! -$uron";}
if($msg=="2"){$sms="$mob[name] метко бьёт $kuda! -$uron";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='enemy',place='battle',timer='$timer'");
}
}else{
$msg=rand(0,2);
if($msg=="0"){$sms="Ты пригнулся от удара!";}
if($msg=="1"){$sms="Ты блокировал удар!";}
if($msg=="2"){$sms="Ты увернулся от удара!";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='enemy',place='battle',timer='$timer'");
}
///////////////////////
//////////////////////////
if($pit[status]==on){
///////////////////////////
////////////////////////////

#********************************#
if($pit[lovk]<$mob[lovk]){
$ps_l=rand(1,100);
$pshans_lovk=round(($mob[lovk]-$pit[lovk])*5);
}
#********************************#

if($pudar==1){$bonus=1.25;$kuda='в голову';}
if($pudar==2){$bonus=1;$kuda='по туловищу';}
if($pudar==3){$bonus=0.70;$kuda='по ногам';}
/////////////
if($pudar!=$mblock and ($pit[lovk]>=$mob[lovk] or $ps_l>$pshans_lovk)){

if($pudar==1){$mprotect='pgolova';}
if($pudar==2){$mprotect='pbody';}
if($pudar==3){$mprotect='pnogi';}

$uron=rand($pit[umin],$pit[umax])+$pit[sila];

$krit=rand(1,100);
if($krit<=$pit[krit]){

$makrit=rand(1,100);
if($makrit<=$mob[antikrit]){

$msg=rand(0,2);
if($msg=="0"){$sms="$pit[name] наносит крит-удар $kuda, но $mob[name] блокирует!";}
if($msg=="1"){$sms="$pit[name] бьёт крит-удар $kuda, но $mob[name] пригнулся!";}
if($msg=="2"){$sms="$pit[name] наносит крит-удар $kuda, но $mob[name] отпрыгивает!";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='user',place='battle',timer='$timer'");
}else{
$mno=round(($uron/100)*$pit[ukrit]);
$uron=$uron+$mno;
$uron=$uron-$mob[$mprotect];
$uron=round($uron*$bonus);
if($uron<=0){$uron=round(0,1);}
$newmob=$newmob-$uron;

$msg=rand(0,2);
if($msg=="0"){$sms="$pit[name] наносит крит-удар $kuda $mob[name]! -$uron";}
if($msg=="1"){$sms="$pit[name] бьёт крит-удар $kuda $mob[name]! -$uron";}
if($msg=="2"){$sms="$pit[name] наносит крит-удар $kuda $mob[name]! -$uron";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='user',place='battle',timer='$timer'");
}
}else{
$uron=$uron-$mob[$mprotect];
$uron=round($uron*$bonus);
if($uron<=0){$uron=round(0,1);}
$newmob=$newmob-$uron;

$msg=rand(0,2);
if($msg=="0"){$sms="$pit[name] бьёт $mob[name] $kuda! -$uron";}
if($msg=="1"){$sms="$pit[name] атакует $mob[name] $kuda! -$uron";}
if($msg=="2"){$sms="$pit[name] бьёт $mob[name] $kuda! -$uron";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='user',place='battle',timer='$timer'");
}
}else{
$newmob=$newmob;

$msg=rand(0,2);
if($msg=="0"){$sms="$mob[name] пригнулся от удара $pit[name]!";}
if($msg=="1"){$sms="$mob[name] блокировал удар $pit[name]!";}
if($msg=="2"){$sms="$mob[name] увернулся от удара $pit[name]!";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='user',place='battle',timer='$timer'");
}
//////////////////
///////////////////
if($mudar==1){$bonus=1.25;$kuda='в голову';}
if($mudar==2){$bonus=1;$kuda='по туловищу';}
if($mudar==3){$bonus=0.70;$kuda='по ногам';}

if($pblock!=$mudar){
////////////////////////////////////////////////////////
//////////////////////////////////////////////////////
switch($mudar){
case '1':
$protect=round(($pit[prot]+$pit[pgolova])/3);
break;
case '2':
$protect=round(($pit[prot]+$pit[pbody])/3);
break;
case '3':
$protect=round(($pit[prot]+$pit[pnogi])/3);
break;
}
//////////////////////////////////////////////////////
/////////////////////////////////////////////////////
//////////////////////////////////////////////////////
$uron=rand($mob[umin],$mob[umax]);

$krit=rand(1,100);
if($krit<=$mob[krit]){

$makrit=rand(1,100);
if($makrit<=$pit[antikrit]){

$msg=rand(0,2);
if($msg=="0"){$sms="$mob[name] наносит крит-удар $kuda, но $pit[name] блокирует!";}
if($msg=="1"){$sms="$mob[name] бьёть крит-удар $kuda, но $pit[name] пригнулся!";}
if($msg=="2"){$sms="$mob[name] наносит крит-удар $kuda, но $pit[name] отпрыгивает!";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='enemy',place='battle',timer='$timer'");

}else{
$mno=round(($uron/100)*$mob[ukrit]);
$uron=$uron+$mno;
$uron=$uron-$protect;
$uron=round($uron*$bonus);
if($uron<=0){$uron=round(0,1);}
$newhp=$pit[hp]-$uron;

mysql_query("UPDATE `pit` SET `hp` = '$newhp' WHERE `usr` = '$log'");

$msg=rand(0,2);
if($msg=="0"){$sms="$mob[name] наносит крит-удар $kuda $pit[name]! -$uron";}
if($msg=="1"){$sms="$mob[name] бьёт крит-удар $kuda $pit[name]! -$uron";}
if($msg=="2"){$sms="$mob[name] наносит крит-удар $kuda $pit[name]! -$uron";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='enemy',place='battle',timer='$timer'");
}
}else{
$uron=$uron-$protect;
$uron=round($uron*$bonus);
if($uron<=0){$uron=round(0,1);}
$newhp=$pit[hp]-$uron;

mysql_query("UPDATE `pit` SET `hp` = '$newhp' WHERE `usr` = '$log'");

$msg=rand(0,2);
if($msg=="0"){$sms="$mob[name] сильно бьёт $kuda $pit[name]! -$uron";}
if($msg=="1"){$sms="$mob[name] атакует $kuda $pit[name]! -$uron";}
if($msg=="2"){$sms="$mob[name] метко бьёт $kuda $pit[name]! -$uron";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='enemy',place='battle',timer='$timer'");
}
}else{
$msg=rand(0,2);
if($msg=="0"){$sms="$pit[name] пригнулся от удара!";}
if($msg=="1"){$sms="$pit[name] блокировал удар!";}
if($msg=="2"){$sms="$pit[name] увернулся от удара!";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='enemy',place='battle',timer='$timer'");
}
}
if($ass['status']=='active'){
#********************************#
if($ass[lovk]<$mob[lovk]){
$ps_l=rand(1,100);
$pshans_lovk=round(($mob[lovk]-$ass[lovk])*5);
}
#********************************#

if($audar==1){$bonus=1.25;$kuda='в голову';}
if($audar==2){$bonus=1;$kuda='по туловищу';}
if($audar==3){$bonus=0.70;$kuda='по ногам';}
/////////////
if($audar!=$mblock and ($ass[lovk]>=$mob[lovk] or $ps_l>$pshans_lovk)){

if($audar==1){$mprotect='pgolova';}
if($audar==2){$mprotect='pbody';}
if($audar==3){$mprotect='pnogi';}

$uron=rand($ass['umin'],$ass['umax']);

$krit=rand(1,100);
if($krit<=$ass[krit]){

$makrit=rand(1,100);
if($makrit<=$mob[antikrit]){

$msg=rand(0,2);
if($msg=="0"){$sms="$ass[name] наносит крит-удар $kuda, но $mob[name] блокирует!";}
if($msg=="1"){$sms="$ass[name] бьёт крит-удар $kuda, но $mob[name] пригнулся!";}
if($msg=="2"){$sms="$ass[name] наносит крит-удар $kuda, но $mob[name] отпрыгивает!";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='user',place='battle',timer='$timer'");
}else{
$mno=round(($uron/100)*$ass[ukrit]);
$uron=$uron+$mno;
$uron=$uron-$mob[$mprotect];
$uron=round($uron*$bonus);
if($uron<=0){$uron=round(0,1);}
$newmob=$newmob-$uron;

$msg=rand(0,2);
if($msg=="0"){$sms="$ass[name] наносит крит-удар $kuda $mob[name]! -$uron";}
if($msg=="1"){$sms="$ass[name] бьёт крит-удар $kuda $mob[name]! -$uron";}
if($msg=="2"){$sms="$ass[name] наносит крит-удар $kuda $mob[name]! -$uron";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='user',place='battle',timer='$timer'");
}
}else{
$uron=$uron-$mob[$mprotect];
$uron=round($uron*$bonus);
if($uron<=0){$uron=round(0,1);}
$newmob=$newmob-$uron;

$msg=rand(0,2);
if($msg=="0"){$sms="$ass[name] бьёт $mob[name] $kuda! -$uron";}
if($msg=="1"){$sms="$ass[name] атакует $mob[name] $kuda! -$uron";}
if($msg=="2"){$sms="$ass[name] бьёт $mob[name] $kuda! -$uron";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='user',place='battle',timer='$timer'");
}
}else{
$newmob=$newmob;

$msg=rand(0,2);
if($msg=="0"){$sms="$mob[name] пригнулся от удара $ass[name]!";}
if($msg=="1"){$sms="$mob[name] блокировал удар $ass[name]!";}
if($msg=="2"){$sms="$mob[name] увернулся от удара $ass[name]!";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='user',place='battle',timer='$timer'");
}
//////////////////
///////////////////
if($mudar==1){$bonus=1.25;$kuda='в голову';}
if($mudar==2){$bonus=1;$kuda='по туловищу';}
if($mudar==3){$bonus=0.70;$kuda='по ногам';}

if($ablock!=$mudar){
////////////////////////////////////////////////////////
//////////////////////////////////////////////////////
switch($mudar){
case '1':
$protect=$ass['pgolova'];
break;
case '2':
$protect=$ass['pbody'];
break;
case '3':
$protect=$ass['pnogi'];
break;
}
//////////////////////////////////////////////////////
/////////////////////////////////////////////////////
//////////////////////////////////////////////////////
$uron=rand($mob[umin],$mob[umax]);

$krit=rand(1,100);
if($krit<=$mob[krit]){

$makrit=rand(1,100);
if($makrit<=$ass[antikrit]){

$msg=rand(0,2);
if($msg=="0"){$sms="$mob[name] наносит крит-удар $kuda, но $ass[name] блокирует!";}
if($msg=="1"){$sms="$mob[name] бьёть крит-удар $kuda, но $ass[name] пригнулся!";}
if($msg=="2"){$sms="$mob[name] наносит крит-удар $kuda, но $ass[name] отпрыгивает!";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='enemy',place='battle',timer='$timer'");

}else{
$mno=round(($uron/100)*$mob[ukrit]);
$uron=$uron+$mno;
$uron=$uron-$protect;
$uron=round($uron*$bonus);
if($uron<=0){$uron=round(0,1);}
$newhp=$ass[hp]-$uron;

mysql_query("UPDATE `asasins` SET `hp` = '$newhp' WHERE `id`='$a[asasin]'");

$msg=rand(0,2);
if($msg=="0"){$sms="$mob[name] наносит крит-удар $kuda $ass[name]! -$uron";}
if($msg=="1"){$sms="$mob[name] бьёт крит-удар $kuda $ass[name]! -$uron";}
if($msg=="2"){$sms="$mob[name] наносит крит-удар $kuda $ass[name]! -$uron";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='enemy',place='battle',timer='$timer'");
}
}else{
$uron=$uron-$protect;
$uron=round($uron*$bonus);
if($uron<=0){$uron=round(0,1);}
$newhp=$ass[hp]-$uron;

mysql_query("UPDATE `asasins` SET `hp` = '$newhp' WHERE `id`='$a[asasin]'");

$msg=rand(0,2);
if($msg=="0"){$sms="$mob[name] сильно бьёт $kuda $ass[name]! -$uron";}
if($msg=="1"){$sms="$mob[name] атакует $kuda $ass[name]! -$uron";}
if($msg=="2"){$sms="$mob[name] метко бьёт $kuda $ass[name]! -$uron";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='enemy',place='battle',timer='$timer'");
}
}else{
$msg=rand(0,2);
if($msg=="0"){$sms="$ass[name] пригнулся от удара!";}
if($msg=="1"){$sms="$ass[name] блокировал удар!";}
if($msg=="2"){$sms="$ass[name] увернулся от удара!";}

mysql_query("INSERT INTO log SET usr='$log',text='$sms',kto='enemy',place='battle',timer='$timer'");
}
}
mysql_query("UPDATE `mob` SET `hp` = '$newmob' WHERE `id` = '$m[mob]'");
/////////////////////////////////////////////////
header ("Location: battle.php?");exit; //в бой
}
/////страница!!начало
if($_GET[mod]=='ataka'){
ataka($log,$pas,$ass,$a,$m,$pit,$mob,$timer,$udata);
}else{
mein($log,$pas,$ass,$a,$m,$pit,$mob,$udata);
}
include($path.'files/down.php');
?>
